bugfixes for error handling, envscript, and distcc
authorJohn P. Davis <zhen@gentoo.org>
Wed, 14 Apr 2004 22:35:29 +0000 (22:35 +0000)
committerJohn P. Davis <zhen@gentoo.org>
Wed, 14 Apr 2004 22:35:29 +0000 (22:35 +0000)
git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/catalyst/trunk@357 d1e1f19c-881f-0410-ab34-b69fee027534

19 files changed:
ChangeLog
targets/embedded/embedded-chroot.sh
targets/embedded/embedded-preclean-chroot.sh
targets/embedded/embedded.sh
targets/grp/grp.sh
targets/livecd-stage1/livecd-stage1-chroot.sh
targets/livecd-stage1/livecd-stage1-preclean-chroot.sh
targets/livecd-stage1/livecd-stage1.sh
targets/stage1/stage1-chroot.sh
targets/stage1/stage1-preclean1-chroot.sh
targets/stage1/stage1.sh
targets/stage2/stage2-chroot.sh
targets/stage2/stage2-preclean-chroot.sh
targets/stage2/stage2.sh
targets/stage3/stage3-chroot.sh
targets/stage3/stage3.sh
targets/tinderbox/tinderbox-chroot.sh
targets/tinderbox/tinderbox-preclean-chroot.sh
targets/tinderbox/tinderbox.sh

index 0e7179b506dae87879f0cce520060c5d5534dc7c..da4114e239260a127153c2453b5971b5bbd55ef7 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,20 @@
 # ChangeLog for gentoo/src/catalyst 
 # Copyright 2002-2004 Gentoo Technologies, Inc.; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/ChangeLog,v 1.41 2004/04/13 20:04:32 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/ChangeLog,v 1.42 2004/04/14 22:35:29 zhen Exp $
+
+  14 Apr 2004; John Davis <zhen@gentoo.org>
+  targets/embedded/embedded-chroot.sh,
+  targets/embedded/embedded-preclean-chroot.sh, targets/embedded/embedded.sh,
+  targets/grp/grp.sh, targets/livecd-stage1/livecd-stage1-chroot.sh,
+  targets/livecd-stage1/livecd-stage1-preclean-chroot.sh,
+  targets/livecd-stage1/livecd-stage1.sh, targets/stage1/stage1-chroot.sh,
+  targets/stage1/stage1-preclean1-chroot.sh, targets/stage1/stage1.sh,
+  targets/stage2/stage2-chroot.sh, targets/stage2/stage2-preclean-chroot.sh,
+  targets/stage2/stage2.sh, targets/stage3/stage3-chroot.sh,
+  targets/stage3/stage3.sh, targets/tinderbox/tinderbox-chroot.sh,
+  targets/tinderbox/tinderbox-preclean-chroot.sh,
+  targets/tinderbox/tinderbox.sh:
+  fix for bug #47733 - fixes for distcc and an envscript bugfix
 
   13 Apr 2004; John Davis <zhen@gentoo.org> modules/targets.py:
   fix for bug 47626
index e39a4c692c2e0de354f9f20e93cc500d900db040..3347505db35ff30be72dec54f854fe219be7cb17 100755 (executable)
@@ -1,11 +1,16 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/embedded-chroot.sh,v 1.2 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/embedded-chroot.sh,v 1.3 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
+if [ -f /tmp/envscript ]
+then
+       source /tmp/envscript
+fi
+
 if [ -n "${clst_CCACHE}" ]
 then
        export clst_myfeatures="${clst_myfeatures} ccache"
@@ -18,7 +23,7 @@ then
        export DISTCC_HOSTS="${clst_distcc_hosts}"
 
        USE="-gtk -gnome" emerge --oneshot --nodeps distcc || exit 1
-       echo "distcc:x:240:2:distccd:/dev/null:/bin/false" >> /etc/passwd
+       echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
        /usr/bin/distcc-config --install 2>&1 > /dev/null
        /usr/bin/distccd 2>&1 > /dev/null
 fi
index cd1e6c3b4e414d9f05667f4217feca4ce2637558..f1d99e98cca387d81d5c5ae3238607373fa9d692 100755 (executable)
@@ -1,13 +1,13 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/embedded-preclean-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/embedded-preclean-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
 if [ -n "${clst_DISTCC}" ]
 then
-       killall -9 distccd
+       pkill -signal 9 -U 7980
        userdel distcc || exit 1
 fi
index 61bc029149907f50db1a71c3d901a8f5858327e0..22ff2eab1e27d04b8e645974236d4bdb122a455e 100644 (file)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/Attic/embedded.sh,v 1.3 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/Attic/embedded.sh,v 1.4 2004/04/14 22:35:29 zhen Exp $
 
 case $1 in
        enter)
@@ -9,16 +9,9 @@ case $1 in
        ;;
 
        run)
-               if [ -n "${clst_ENVSCRIPT}" ]
-               then
-                       cp "${clst_ENVSCRIPT}" ${clst_chroot_path}/tmp/envscript
-               fi
-       
                cp ${clst_sharedir}/targets/embedded/embedded-chroot.sh ${clst_chroot_path}/tmp
-               ${clst_CHROOT} ${clst_chroot_path} /tmp/embedded-chroot.sh
+               ${clst_CHROOT} ${clst_chroot_path} /tmp/embedded-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/embedded-chroot.sh
-
-               [ $? -ne 0 ] && exit 1
        ;;
 
        preclean)
index be0d76590b940fef81ea6b104c38530a2af0375f..521dcd9febf9107626a10e21ce36b70ab09d5d17 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/Attic/grp.sh,v 1.15 2004/04/14 14:27:38 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/Attic/grp.sh,v 1.16 2004/04/14 22:35:29 zhen Exp $
 
 case $1 in
        enter)
@@ -15,23 +15,14 @@ case $1 in
                shift
                                
                cp ${clst_sharedir}/targets/grp/grp-chroot.sh ${clst_chroot_path}/tmp
-               
-               clst_grp_packages="$*" ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-chroot.sh
-               [ $? -ne 0 ] && exit 1
-
+               clst_grp_packages="$*" ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/grp-chroot.sh
-                       ;;
+       ;;
 
        preclean)
                cp ${clst_sharedir}/targets/grp/grp-preclean-chroot.sh ${clst_chroot_path}/tmp
-        
-               ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-preclean-chroot.sh
-        [ $? -ne 0 ] && exit 1
-               
+               ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-preclean-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/grp-preclean-chroot.sh
-
-        
        ;;
 
        clean)
index bc164d105e52d84b3ead19d6fea4fe1b2797b0c7..5e77e0b8ae9a1d189dd5638267fa0720c9bd47aa 100755 (executable)
@@ -1,12 +1,12 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/livecd-stage1-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/livecd-stage1-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
-if [ -n "${clst_ENVSCRIPT}" ]
+if [ -f /tmp/envscript ]
 then
        source /tmp/envscript
        rm -f /tmp/envscript
@@ -24,7 +24,7 @@ then
        export DISTCC_HOSTS="${clst_distcc_hosts}"
 
        USE="-gnome -gtk" emerge --oneshot --nodeps distcc || exit 1
-       echo "distcc:x:240:2:distccd:/dev/null:/bin/false" >> /etc/passwd
+       echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
        /usr/bin/distcc-config --install 2>&1 > /dev/null
        /usr/bin/distccd 2>&1 > /dev/null
 fi
index 656c6c60a8017a198788d856812c2c5d348f386c..04799089bedc709aff60709477d3bb6e3108154a 100755 (executable)
@@ -1,13 +1,13 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/livecd-stage1-preclean-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/livecd-stage1-preclean-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
 if [ -n "${clst_DISTCC}" ]
 then
-       killall -9 distccd
+       pkill -signal 9 -U 7980
        userdel distcc || exit 1
 fi
index 3aabbfff55413a9c6369c4bcacdd127fcd1721f3..03f3e7ddf205369927b7e2a6a99d0d500b4e96e7 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/Attic/livecd-stage1.sh,v 1.10 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/Attic/livecd-stage1.sh,v 1.11 2004/04/14 22:35:29 zhen Exp $
 
 case $1 in
        enter)
@@ -11,17 +11,14 @@ case $1 in
                shift
        
                cp ${clst_sharedir}/targets/livecd-stage1/livecd-stage1-chroot.sh ${clst_chroot_path}/tmp
-               clst_packages="$*" ${clst_CHROOT} ${clst_chroot_path} /tmp/livecd-stage1-chroot.sh
+               clst_packages="$*" ${clst_CHROOT} ${clst_chroot_path} /tmp/livecd-stage1-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/livecd-stage1-chroot.sh
-               [ $? -ne 0 ] && exit 1
        ;;
 
        preclean)
         cp ${clst_sharedir}/targets/livecd-stage1/livecd-stage1-preclean-chroot.sh ${clst_chroot_path}/tmp
-        ${clst_CHROOT} ${clst_chroot_path} /tmp/livecd-stage1-preclean-chroot.sh
-        rm -f ${clst_chroot_path}/tmp/livecd-stage1-preclean-chroot.sh
-
-        [ $? -ne 0 ] && exit 1
+        ${clst_CHROOT} ${clst_chroot_path} /tmp/livecd-stage1-preclean-chroot.sh || exit 1
+               rm -f ${clst_chroot_path}/tmp/livecd-stage1-preclean-chroot.sh
     ;;
 
     clean)
index 367054d42819418658a1fe66df3dda0519a4ece4..197534c812a0990c1070f7fb974384732470d77f 100755 (executable)
@@ -1,12 +1,12 @@
 #!/bin/bash
 # Copyright 1999-2004 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/stage1-chroot.sh,v 1.12 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/stage1-chroot.sh,v 1.13 2004/04/14 22:35:29 zhen Exp $
                
 /usr/sbin/env-update
 source /etc/profile
 
-if [ -n "${clst_ENVSCRIPT}" ]
+if [ -f /tmp/envscript ]
 then
        source /tmp/envscript
        rm -f /tmp/envscript
@@ -24,7 +24,7 @@ then
        export DISTCC_HOSTS="${clst_distcc_hosts}"
 
        USE="-gtk -gnome" emerge --oneshot --nodeps distcc || exit 1
-       echo "distcc:x:240:2:distccd:/dev/null:/bin/false" >> /etc/passwd
+       echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
        /usr/bin/distcc-config --install 2>&1 > /dev/null
        /usr/bin/distccd 2>&1 > /dev/null
 fi
index 2c67bcb7f398c295b2b5a4dff87640199551bcdd..02f6f24dd5fba5212db10fd6c308eb1fd28f5942 100755 (executable)
@@ -1,13 +1,13 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/Attic/stage1-preclean1-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/Attic/stage1-preclean1-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
 if [ -n "${clst_DISTCC}" ]
 then
-       /bin/killall -9 distccd
+       pkill -signal 9 -U 7980
        userdel distcc || exit 1
 fi
index dcf4e037c8ece1105701b0d85ee291b4f548b52e..db34b91b7ffe0d0b0cfebc3ea3901ec88408a76c 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/Attic/stage1.sh,v 1.11 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/Attic/stage1.sh,v 1.12 2004/04/14 22:35:29 zhen Exp $
 
 case $1 in
        enter)
@@ -20,8 +20,7 @@ case $1 in
                cp -a ${clst_chroot_path}/etc/make.profile ${clst_chroot_path}/tmp/stage1root/etc
                
                # enter chroot, execute our build script
-               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage1-chroot.sh /tmp/stage1root
-               [ $? -ne 0 ] && exit 1
+               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage1-chroot.sh /tmp/stage1root || exit 1
        ;;
 
        preclean)
@@ -29,15 +28,13 @@ case $1 in
                
                #first we cleanup after ourselves
                cp ${clst_sharedir}/targets/stage1/stage1-preclean1-chroot.sh ${clst_chroot_path}/tmp
-        ${clst_CHROOT} ${clst_chroot_path} /tmp/stage1-preclean1-chroot.sh
+        ${clst_CHROOT} ${clst_chroot_path} /tmp/stage1-preclean1-chroot.sh || exit 1
         rm -f ${clst_chroot_path}/tmp/stage1-preclean1-chroot.sh
-               [ $? -ne 0 ] && exit 1
 
                #second we do the gcc magic
                cp ${clst_sharedir}/targets/stage1/stage1-preclean2-chroot.sh ${clst_chroot_path}/tmp/stage1root/tmp
-               ${clst_CHROOT} ${clst_chroot_path}/tmp/stage1root /tmp/stage1-preclean2-chroot.sh
+               ${clst_CHROOT} ${clst_chroot_path}/tmp/stage1root /tmp/stage1-preclean2-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/stage1root/tmp/stage1-preclean2-chroot.sh
-               [ $? -ne 0 ] && exit 1
        ;;
        
        clean)
index 4be1f192a8b9f8210d240c202b05b12557b84a63..cac3fab85df17b1cef0f9a09112fac74a6b8e226 100755 (executable)
@@ -1,12 +1,12 @@
 #!/bin/sh
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage2/stage2-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage2/stage2-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
-if [ -n ${clst_ENVSCRIPT} ]
+if [ -f /tmp/envscript ]
 then
        source /tmp/envscript
        rm -f /tmp/envscript
@@ -24,7 +24,7 @@ then
        export DISTCC_HOSTS="${clst_distcc_hosts}"
 
        USE="-gnome -gtk" emerge --oneshot --nodeps distcc || exit 1
-       echo "distcc:x:240:2:distccd:/dev/null:/bin/false" >> /etc/passwd
+       echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
        /usr/bin/distcc-config --install 2>&1 > /dev/null
        /usr/bin/distccd 2>&1 > /dev/null
 fi
index f92d3dd8d8b86f670fc082b7f9c22539e9f8705b..ec45d9d3efe3190aa03fb15ec6a8efb38c057012 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage2/stage2-preclean-chroot.sh,v 1.1 2004/04/12 14:38:26 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage2/stage2-preclean-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
@@ -15,7 +15,6 @@ fi
 
 if [ -n "${clst_DISTCC}" ]
 then
-       killall -9 distccd
        emerge -C sys-devel/distcc || exit 1
        userdel distcc || exit 1
 fi
index 39712a28eeaf32c355c5b9cf05881f4593becc80..6b721037ae6d0aef3a85c50ce7a517702f91caa5 100755 (executable)
@@ -1,27 +1,23 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage2/Attic/stage2.sh,v 1.14 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage2/Attic/stage2.sh,v 1.15 2004/04/14 22:35:29 zhen Exp $
 
 case $1 in
        enter)
-
                ${clst_CHROOT} ${clst_chroot_path}
        ;;
 
        run)
                cp ${clst_sharedir}/targets/stage2/stage2-chroot.sh ${clst_chroot_path}/tmp
-               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage2-chroot.sh
+               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage2-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/stage2-chroot.sh
-               [ $? -ne 0 ] && exit 1 
        ;;
 
        preclean)
                cp ${clst_sharedir}/targets/stage2/stage2-preclean-chroot.sh ${clst_chroot_path}/tmp
-               #preclean runs with bind-mounts active
-               $clst_CHROOT $clst_chroot_path /tmp/stage2-preclean-chroot.sh
+               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage2-preclean-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/stage2-preclean-chroot.sh
-               [ $? -ne 0 ] && exit 1 
        ;;
 
        clean)
index 310d1c99c57ec76fc3c4a2e426d2f759bb1baf67..fa223cbc59bd1806168db936e4c20dedb6d32493 100755 (executable)
@@ -1,12 +1,12 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage3/stage3-chroot.sh,v 1.2 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage3/stage3-chroot.sh,v 1.3 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
-if [ -n ${clst_ENVSCRIPT} ]
+if [ -f /tmp/envscript ]
 then
        source /tmp/envscript
        rm -f /tmp/envscript
@@ -24,8 +24,6 @@ then
        export DISTCC_HOSTS="${clst_distcc_hosts}"
 
        USE="-gnome -gtk" emerge --oneshot --nodeps distcc || exit 1
-       cat /etc/passwd
-       sleep 10
        echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
        /usr/bin/distcc-config --install 2>&1 > /dev/null
        /usr/bin/distccd 2>&1 > /dev/null
index 4d6eb537410d85c69ce5cb1e051abb65c7939dda..164d164374b96360f678182d791933e5d80887ea 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage3/Attic/stage3.sh,v 1.14 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage3/Attic/stage3.sh,v 1.15 2004/04/14 22:35:29 zhen Exp $
 
 case $1 in
        enter)
@@ -10,16 +10,14 @@ case $1 in
 
        run)
                cp ${clst_sharedir}/targets/stage3/stage3-chroot.sh ${clst_chroot_path}/tmp     
-               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage3-chroot.sh
+               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage3-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/stage3-chroot.sh
-               [ $? -ne 0 ] && exit 1
        ;;
 
        preclean)
                cp ${clst_sharedir}/targets/stage3/stage3-preclean-chroot.sh ${clst_chroot_path}/tmp
-               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage3-preclean-chroot.sh
+               ${clst_CHROOT} ${clst_chroot_path} /tmp/stage3-preclean-chroot.sh || exit 1
                rm -rf ${clst_chroot_path}/tmp/stage3-preclean-chroot.sh
-               [ $? -ne 0 ] && exit 1
        ;;
 
        clean)
index a9d2dba5af508f99cc25c34a14c6834980a34220..0b91d40fdd93acbc08aa02fcbae3b831dc3f8c2a 100755 (executable)
@@ -1,12 +1,12 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/tinderbox/tinderbox-chroot.sh,v 1.1 2004/04/12 14:39:35 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/tinderbox/tinderbox-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
-if [ -n "${clst_ENVSCRIPT}" ]
+if [ -f /tmp/envscript ]
 then
        source /tmp/envscript
        rm -f /tmp/envscript
@@ -24,7 +24,7 @@ then
        export DISTCC_HOSTS="${clst_distcc_hosts}"
 
        USE="-gnome -gtk" emerge --oneshot --nodeps distcc || exit 1
-       echo "distcc:x:240:2:distccd:/dev/null:/bin/false" >> /etc/passwd
+       echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
        /usr/bin/distcc-config --install 2>&1 > /dev/null
        /usr/bin/distccd 2>&1 > /dev/null
 fi
index 8269588c49e7dabc7a755149402d365153869707..b60b9b2609288743f35ef2a202aabad63643422a 100755 (executable)
@@ -1,13 +1,13 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/tinderbox/tinderbox-preclean-chroot.sh,v 1.1 2004/04/12 14:39:35 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/tinderbox/tinderbox-preclean-chroot.sh,v 1.2 2004/04/14 22:35:29 zhen Exp $
 
 /usr/sbin/env-update
 source /etc/profile
 
 if [ -n "${clst_DISTCC}" ]
 then
-       killall -9 distccd
+       pkill -signal 9 -U 7980
        userdel distcc || exit 1
 fi
index 0a65965dc6838f15f5c538ac93ef3dc105b957ee..144845022430e15d24786da531e170e177cca107 100755 (executable)
@@ -1,25 +1,21 @@
 #!/bin/bash
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/tinderbox/Attic/tinderbox.sh,v 1.7 2004/04/14 00:17:59 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/tinderbox/Attic/tinderbox.sh,v 1.8 2004/04/14 22:35:29 zhen Exp $
 
 case $1 in
        run)
                shift
 
                cp ${clst_sharedir}/targets/tinderbox/tinderbox-chroot.sh ${clst_chroot_path}/tmp
-               clst_tinderbox_packages="$*" ${clst_CHROOT} ${clst_chroot_path} /tmp/tinderbox-chroot.sh
+               clst_tinderbox_packages="$*" ${clst_CHROOT} ${clst_chroot_path} /tmp/tinderbox-chroot.sh || exit 1
                rm -f ${clst_chroot_path}/tmp/tinderbox-chroot.sh
-
-               [ $? -ne 0 ] && exit 1
        ;;
 
        preclean)
         cp ${clst_sharedir}/targets/grp/tinderbox-preclean-chroot.sh ${clst_chroot_path}/tmp
-        ${clst_CHROOT} ${clst_chroot_path} /tmp/tinderbox-preclean-chroot.sh
+        ${clst_CHROOT} ${clst_chroot_path} /tmp/tinderbox-preclean-chroot.sh || exit 1
         rm -f ${clst_chroot_path}/tmp/tinderbox-preclean-chroot.sh
-
-        [ $? -ne 0 ] && exit 1
     ;;
 
     clean)